#!/bin/sh
# Medir el orno de sala de control
# Federico Bareilles
# 26/04/2005
#

DATA_DIR=/root/data
NAME=horno
DESC="Oven measurement"

PATH=/usr/local/sbin:$PATH

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
	if [ "`pidof horno`" ]; then
	    echo " already running"
	    exit 1
	fi
	FILE="${DATA_DIR}/$(date "+horno-%Y%m%d.dat")"
	while [ -f ${FILE} ]; do
	    FILE="${DATA_DIR}/$(date "+horno-%Y%m%d%H%M.dat")"
	    sleep 10
	done
	horno > $FILE&
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME "
	killall $NAME
        echo "."
        ;;
    restart|force-reload)
        echo -n "Restarting $DESC: $NAME"
        $0 stop
	$0 start
        echo "."
        ;;
  *)
        N=/etc/init.d/$NAME
        # echo "Usage: $N {start|stop|reload}" >&2
        echo "Usage: $N {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
