/** 
 *   Thermometer logger novus
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

//#include <modbus.h>
#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include "logger_novus.h"


struct logger_input ther_nv[] = {
	{ 1, PT100, 1},
	{ 2, PT100, 1},
	{ 3, PT100, 1},
	{ 4, PT100, 0},
/*	{ 5, PT100, 0},
	{ 6, PT100, 0},
	{ 7, PT100, 0},
	{ 8, PT100, 0},
*/
};


int main(int argc, char * const argv[])
{
	int i;
	int op;
	Mbm_trame trame;
	char *device = LOGGER_NOVUS_DEVICE;

	while  ((op = getopt(argc, argv, "vhd:s:w:a")) != EOF)
		switch( op ){
/*
#ifdef VERBOSE_MODE
		case 'v':
			verbose_flag = (verbose_flag << 1) | 1;
			break;
#endif
*/
		case 'd':
			device = optarg;
			break;
		case 'h':
		default:
			//usage(argv[0]);
			exit(-1);
		}
	Mb_verbose = 0;
	trame.slave = 1;
	trame.address = 0;
	trame.length = sizeof(ther_nv)/sizeof(ther_nv[0]);
	logger_init(device, &trame);

	logger_adq(&trame, ther_nv);

	for(i=0;i<trame.length;i++)
		if (ther_nv[i].active) {
			printf("Ther %1d: %5.1f C\n",
			       ther_nv[i].channel, ther_nv[i].val);
		}
	Mb_verbose = 1;
	logger_dig_in(&trame, ther_nv);
	//logger_dig_out(&trame, ther_nv);
	Mb_verbose = 0;
	logger_close(trame.device);


	return 0;
}


